Bug 2247873 - U-Boot doesn't find and load the Fedora provided DTBs from /boot/dtb
Summary: U-Boot doesn't find and load the Fedora provided DTBs from /boot/dtb
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uboot-tools
Version: 40
Hardware: aarch64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://discussion.fedoraproject.org...
Depends On:
Blocks: F40FinalBlocker, FinalBlocker F40FinalFreezeException, FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2023-11-04 00:19 UTC by Adam Williamson
Modified: 2024-04-07 00:36 UTC (History)
16 users (show)

Fixed In Version: uboot-tools-2024.04-0.6.rc4.fc40 uboot-tools-2024.04-0.8.rc5.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-06 18:49:24 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Adam Williamson 2023-11-04 00:19:50 UTC
pbrobinson informed me when I ran into it that this is a known issue, so I figured it was worth reporting and documenting as a common bug.

Apparently due to a similar root cause to https://bugzilla.redhat.com/show_bug.cgi?id=2246428 , Fedora Server images do not boot on the Jetson Nano. As described in that bug, because Server uses the XFS filesystem, kernel-provided DTBs cannot be read on boot, so we have to use firmware-provided DTBs; some kind of bug in the firmware for the Nano prevents boot from proceeding much beyond grub.

non-Server images are not affected as they can use the kernel DTBs, and they boot OK.

Comment 1 Fedora Blocker Bugs Application 2024-02-20 17:50:25 UTC
Proposed as a Blocker for 40-beta by Fedora user pbrobinson using the blocker tracking app because:

 A follow up to the same bug we had for F-39 GA, we almost have a fix for this.

Comment 2 František Zatloukal 2024-02-27 10:46:36 UTC
Discussed during the 2024-02-26 blocker review meeting: [1]

The decision to classify this bug as a AcceptedBlocker (Beta) was made:

"All release-blocking images must boot in their supported configurations." as the affected hardware is a supported platform and Server is a blocking deliverable.

[1] https://meetbot.fedoraproject.org/blocker-review_matrix_fedoraproject-org/2024-02-26/f40-blocker-review.2024-02-26-17.01.log.html

Comment 3 Peter Robinson 2024-03-11 23:48:43 UTC
I believe I have a fix, just doing some local device testing.

Comment 4 Fedora Update System 2024-03-12 01:26:47 UTC
FEDORA-2024-5f5380bab6 (arm-trusted-firmware-2.10.2-1.fc40 and uboot-tools-2024.04-0.4.rc4.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-5f5380bab6

Comment 5 Fedora Update System 2024-03-12 20:54:13 UTC
FEDORA-2024-5f5380bab6 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-5f5380bab6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-5f5380bab6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Peter Robinson 2024-03-15 17:06:45 UTC
There's a new build uboot-tools-2024.04-0.6.rc4.fc40 with an addition fix to the DT loading.

Comment 7 Peter Robinson 2024-03-15 17:07:07 UTC
I'll update the update once it completes

Comment 8 Fedora Update System 2024-03-19 01:54:07 UTC
FEDORA-2024-5f5380bab6 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-5f5380bab6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-5f5380bab6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Adam Williamson 2024-03-21 21:31:04 UTC
FWIW, booting on my Jetson Nano with the 0.6 and 0.7 builds behaves pretty similarly. The boot process looks the same and, in each case, the system mostly boots OK and is usable over the USB serial line, but it never lights up an HDMI-connected monitor.

I haven't got it to light up the monitor with anything other than the NVIDIA logo for years, though, that part isn't new.

Comment 10 Adam Williamson 2024-03-21 21:32:47 UTC
For the record, this was discussed at the F40 Beta Go/No-Go meeting on 2024-03-21 - https://meetbot-raw.fedoraproject.org/meeting_matrix_fedoraproject-org/2024-03-21/f40-beta-go-no-go-meeting.2024-03-21-17.03.html - and we decided to consider that the 0.6 build sufficiently addressed it for Beta release purposes. We can leave the bug open to get auto-closed when the 0.7 build is pushed stable.

Comment 11 Fedora Update System 2024-03-22 02:08:20 UTC
FEDORA-2024-5f5380bab6 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-5f5380bab6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-5f5380bab6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2024-03-22 04:01:18 UTC
FEDORA-2024-5f5380bab6 (arm-trusted-firmware-2.10.2-1.fc40 and uboot-tools-2024.04-0.6.rc4.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Blocker Bugs Application 2024-04-05 07:43:20 UTC
Proposed as a Blocker for 40-final by Fedora user pbrobinson using the blocker tracking app because:

 The final complete fix for this that we decided to document and not respin beta for never made it stable due to lack of karma so we need this in GA with zero doubt.

Comment 14 Fedora Update System 2024-04-05 07:44:10 UTC
FEDORA-2024-1d0b793bc1 (arm-image-installer-4.1-3.fc40 and uboot-tools-2024.04-0.8.rc5.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-1d0b793bc1

Comment 15 Kamil Páral 2024-04-05 08:38:56 UTC
Adjusting fields to make it a proposed Final blocker

Comment 16 Adam Williamson 2024-04-06 16:23:35 UTC
also proposing it as a final FE in case we don't think it's quite clear enough of a blocker.

Comment 17 Adam Williamson 2024-04-06 18:35:45 UTC
+1 blocker and +2 FE in https://pagure.io/fedora-qa/blocker-review/issue/1565 , counting that as +3 FE, so marking accepted.

Comment 18 Fedora Update System 2024-04-06 18:49:24 UTC
FEDORA-2024-1d0b793bc1 (arm-image-installer-4.1-3.fc40 and uboot-tools-2024.04-0.8.rc5.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Peter Robinson 2024-04-07 00:36:32 UTC
(In reply to Adam Williamson from comment #16)
> also proposing it as a final FE in case we don't think it's quite clear
> enough of a blocker.

It was a blocker for Beta but not clear enough of a blocker for final? The guidelines are *NUTS*!


Note You need to log in before you can comment on or make changes to this bug.